﻿@model WebPortalShopBridge.Models.ProductCategoryViewModel

<div class="main-container">
    <div class="left-container">
        <div class="category-title">
            Category
            </div>
        <ul>
            @foreach (var category in Model.Categories)
            {
                <li><button class="category-Button" onclick="loadProduct('@category.CategoryId')">@category.Name</button>  </li>

            }
        </ul>
    </div><!--Left-Container-->
    <div class="right-container">

        @foreach (var product in Model.Products)
        {
            <div class="product-container">
                <div class="category-inline-title">@product.category.Name</div><!--category-inline-title-->
                <div class="image-container"><img src="~/Img/@product.Url" /></div><!--image-container-->
                <div class="name-container">@product.Name</div><!--name-container-->
                <div class="description-container">@product.Description</div><!--description-container-->
                <div class="price">Price: $@product.Price</div><!--price-->
                <div class="availability">In Stock: @product.AvailableStock</div><!--availability-->
                <div class="update-delete">
                    <button onclick="Remove('@product.ProductId');">Remove</button>
                    <button onclick="Update('@product.ProductId');">Update</button>
                </div><!--update-delete-->
            </div><!--Product-Container-->
        }
    </div><!--right-Container-->
</div><!--Main-Container-->

<script>
    function loadProduct(CategoryId) {
        var data = { categoryId: CategoryId };
        var promise = UserManager.ajaxCall('/Product/DisplayProductByCategory', data, 'GET', true)
        promise.done(function (dataResult) {
            $('#adminWorkAreaContainer').html(dataResult);
        })
    }
    function Update(productId) {
        var data = { ProductId: productId };
        var promise = UserManager.ajaxCall('/Product/UpdateProduct', data, 'GET', true)
        promise.done(function (dataResult) {
            $('#adminWorkAreaContainer').html(dataResult);
        });
    }
    function Remove(productId) {
        var data = { ProductId: productId };
        var promise = UserManager.ajaxCall('/Product/RemoveProduct', data, 'POST', true)
        promise.done(function (dataResult) {
            $('#adminWorkAreaContainer').html(dataResult);
        });
    }

</script>
